/*!\file:  NodeSets.h
 * \brief header file for  a strcture holding all the nodesets.
 */ 

#ifndef _NODESETS_H
#define _NODESETS_H

#include "../toolkits/toolkits.h"

class NodeSets {

	private:
		int gsize;
		int msize;
		int nsize;
		int fsize;
		int ssize;

		double* pv_m;
		double* pv_n;
		double* pv_f;
		double* pv_s;

	public:

	NodeSets( double* pv_m,double* pv_n,double* pv_f,double* pv_s,int gsize,int msize,int nsize,int fsize,int ssize);
	~NodeSets();

	void Echo();
	int GetGSize();
	int GetMSize();
	int GetNSize();
	int GetFSize();
	int GetSSize();
	double* GetPV_M();
	double* GetPV_N();
	double* GetPV_F();
	double* GetPV_S();

};
#endif  /* _NODESETS_H */

